Subject: Re: linux-next: build failure after merge of the mfd-lj tree

From: Lee Jones <[email-masked]>
Date: Mon, 3 Mar 2014 15:23:31 +0800

Hi Stephen,

> > > > > After merging the mfd-lj tree, today's linux-next build (x86_64
> > > > > allmodconfig) failed like this:
> > > > > 
> > > > > In file included from drivers/mfd/max665x.c:19:0:
> > > > > include/linux/mfd/max665x-private.h:31:1: error: expected ';', identifier or '(' before 'struct'
> > > > >  struct max665x_dev {
> > > > >  ^
> > > > > 
> > > > > Caused by commit e77bb5297293 ("mfd: max665x: Differentiate between
> > > > > MAX665X devices").  Clearly never built by anyone :-(
> > > > > 
> > > > > I have used the mfd-lj tree from next-20140210 again for today (since the
> > > > > other version had other problems).
> > > > 
> > > > Still seeing this error.
> > > 
> > > Still ...
> > 
> > Ping ...
> 
> I am still seeing this error which means that I am still using the
> version of your tree from next-20140210 i.e. Feb 10.  It is a bit
> disappointing that his has not been fixed in such a long time even though
> there have been other updates to your tree which means that those other
> changes have received no exposure in linux-next.  It is a trivial error,
> but it does indicate that noone ever build tested that particular commit.
> 
> (this is now commit 2fc7e7d25bee in your tree since it was rewritten but
> not fixed on Feb 14.)

Sorry about all this. Your mails are being filtered into an unused
mailbox for a currently unknown reason. I will investigate this
immediately. It was a mistake to push this patch, I will rectify right
away.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog